#ifndef JPEG_ENC_H_
#define JPEG_ENC_H_

#include "MainDemo.h"
#include "Graphics/SSD1926.h"
#include "SSD1928_Cam.h"
#include <string.h>
#include <stdio.h>



//#define SET_CAM_WIDTH	640	//assumed OV965x cmos
//#define SET_CAM_HEIGHT	480


char JPEG_encoding(void);
void ssd192x_jpeg_init(void);
void Set_JPEG_Encode_Registers(UINT32 EXPECTED_JPEG_RESOLUTION_WIDTH, UINT32 EXPECTED_JPEG_RESOLUTION_HEIGHT);
UINT32 Start_JPEG_Encode(void);
void Write_JPEG_data_to_192x(UINT32 filesize);
UINT8 Write_JPEG_data_to_SD(UINT32 fsize, UINT8 filecnt);
void print_encode(void);
void Off_JPEG(void);

#endif
